Subscription plans
Show a subscription plan
Show a subscription plan
GET
/
api
/
subscription_plans
/
{id}
Show a subscription plan
curl --request GET \
--url https://api.fluid.app/api/subscription_plans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscription_plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscription_plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_plans/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscription_plans/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_plans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscription_plan": {
"id": 2741,
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"billing_frequency_in_words": "1 month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"trial_period": null,
"trial_period_unit": null,
"split_volume": false,
"apply_to_volume": false,
"allow_skipping": true,
"max_skips": 2,
"allow_max_billing_cycles": false,
"max_billing_cycles": null,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true,
"created_at": "2026-09-08T13:22:41.305Z",
"updated_at": "2026-09-21T08:47:19.662Z",
"products_count": 2,
"subscribers_count": 0,
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"subscriptions": [],
"products": [
{
"id": 73021
},
{
"id": 73044
}
]
},
"meta": {
"request_id": "5f0c2b9e-3d41-4a7e-9b12-6e8d4c0a7f31",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
Show a subscription plan
curl --request GET \
--url https://api.fluid.app/api/subscription_plans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscription_plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscription_plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_plans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_plans/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscription_plans/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_plans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscription_plan": {
"id": 2741,
"name": "Monthly Paper Restock",
"billing_interval": 1,
"billing_interval_unit": "month",
"billing_frequency_in_words": "1 month",
"shipping_interval": 1,
"shipping_interval_unit": "month",
"volume_interval": 1,
"volume_interval_unit": "month",
"trial_period": null,
"trial_period_unit": null,
"split_volume": false,
"apply_to_volume": false,
"allow_skipping": true,
"max_skips": 2,
"allow_max_billing_cycles": false,
"max_billing_cycles": null,
"price_adjustment_type": "percentage",
"price_adjustment_amount": 10,
"savings_display_mode": "percent",
"active": true,
"company_default": true,
"created_at": "2026-09-08T13:22:41.305Z",
"updated_at": "2026-09-21T08:47:19.662Z",
"products_count": 2,
"subscribers_count": 0,
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"subscriptions": [],
"products": [
{
"id": 73021
},
{
"id": 73044
}
]
},
"meta": {
"request_id": "5f0c2b9e-3d41-4a7e-9b12-6e8d4c0a7f31",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}